#!/usr/bin/env python

# displays jb data

# version 0.0.3

import os
import sys
import getopt

def usage(prog='plotjb'):
    print """
    plotjb: displays jitter/beta data with gnuplot

    plotjb  <filename>

    <filename>  pisum8 data file

    """

o,a = getopt.getopt(sys.argv[1:],'')
    
if len(a)<1:
    usage()
    sys.exit("Error: filename missing")
else:
    filename = a[0]

# gnuplot output

# creates a gnuplot command file
g_s = file('gs','w')

lines = []

lines.append("plot '"+filename+"' using 4:(900-$6) with lines\n")
lines.append("replot '"+filename+"' using 4:8 with lines\n")
lines.append("replot 0\n")
lines.append("pause -1\n")

g_s.writelines(lines)
g_s.close()

os.system('gnuplot "gs"')
