#!/usr/bin/env python

# displays pif data

# version 0.0.4

import os
import sys
import getopt

def usage(prog='plotpif'):
    print """
    plotpif: displays pif data with gnuplot

    plotpif <filename>

    <filename>  pif data file

    """

o,a = getopt.getopt(sys.argv[1:],'')
    
if len(a)<1:
    usage()
    sys.exit("Error: filename missing")
else:
    filename = a[0]

# gnuplot output

# creates a gnuplot command file
g_s = file('gs','w')

lines = []

lines.append("plot '"+filename+"' using 4:10 with impulses\n")
lines.append("replot 4\n")
lines.append("pause -1\n")

g_s.writelines(lines)
g_s.close()

os.system('gnuplot "gs"')
